Package org.snpsift.annotate.mem.dataFrame

# Class DataFrameIns

java.lang.Object
org.snpsift.annotate.mem.dataFrame.DataFrame
org.snpsift.annotate.mem.dataFrame.DataFrameIns

All Implemented Interfaces:
  `Serializable`

public class DataFrameIns extends DataFrame

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class org.snpsift.annotate.mem.dataFrame.DataFrame

`MAX_ROWS_TO_SHOW`

## Constructor Summary

Constructors
Constructor
Description
`DataFrameIns(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)`

## Method Summary

### Methods inherited from class org.snpsift.annotate.mem.dataFrame.DataFrame

`add, check, columnNames, createColumn, createColumns, eq, find, get, getColumn, getRow, hasEntry, resize, set, sizeBytes, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DataFrameIns

public DataFrameIns(VariantTypeCounter variantTypeCounter, VariantCategory variantCategory)